#include <iostream>
using namespace std;

int SOMMA(int numeri[], int n);

int main() {
    int tnum;
    int i;
	int risultato;
	
    cout << "Quanti numeri vuoi inserire?: ";
    cin >> tnum;
    
    int numeri[tnum];
    
    for (i = 0; i < tnum; i++) {
        cout << i + 1 << ") Numero: ";
        cin >> numeri[i];
    }
    
    risultato = 0;
    
    risultato = SOMMA(numeri, tnum);
    
    cout << "Somma: " << risultato << endl;

    return 0;
}

int SOMMA(int numeri[], int tnum) {
    int totale = 0;
    for (int i = 0; i < tnum; i++) {
        totale = totale + numeri[i];
    }
    return totale;
}